<?php
/*
Plugin Name: Abhipay WooCommerce Payment Gateway
Plugin URI: https://abhipay.com.pk/
Description: Abhipay Payment Gateway for Woocommerce
Version: 1.0.1
*/

class WC_Payriff {

	/**
	 * Constructor
	 */
	public function __construct(){
		define( 'WC_PAYRIFF_VERSION', '1.0.0' );
		define( 'WC_PAYRIFF_PLUGIN_URL', untrailingslashit( plugins_url( basename( plugin_dir_path( __FILE__ ) ), basename( __FILE__ ) ) ) );
		define( 'WC_PAYRIFF_PLUGIN_DIR', plugins_url( basename( plugin_dir_path( __FILE__ ) ), basename( __FILE__ ) ) . '/' );
		define( 'WC_PAYRIFF_MAIN_FILE', __FILE__ );

		// Actions
		add_action( 'wp_loaded', array( $this, 'init' ), 0 );
		add_filter( 'woocommerce_payment_gateways', array( $this, 'register_gateway' ) );
	}

	/**
	 * Init localisations and files
	 */
	public function init() {

		if ( ! class_exists( 'WC_Payment_Gateway' ) ) {
			return;
		}

		// Includes
		include_once( 'includes/class-payriff-gateway-woocommerce.php' );
		include_once( 'payriff-callback.php' );
		// include_once( 'reversal.php' );

	}

	/**
	 * Register the gateway for use
	 */
	public function register_gateway( $methods ) {

		$methods[] = 'WC_Gateway_Payriff';
		return $methods;

	}
}

new WC_Payriff();